1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk 9.3 to 10.1 upgrade failed

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by Max W, May 13, 2011.

  1. Max W

    Max W Guest

    0
     
    I have just tried to upgrade Plesk from 9.3 to 10.1 and received e-mail telling me it's failed. Looking at the last lines of the email it has something to do with the licence key. What do I do now? I am using Plesk on VPS I am renting from a UK hosting company. Do I need to get licence key from them or you can help me out here somehow. Now when I try to get into Plesk Panel all I get is a blank screen.

    Here is an email I have received.

    Parallels Products Installer 3.8.0 (built on 2010-12-24 08:57 svn rev. 296991) started at (timezone UTC) Fri May 13 22:46:49 2011
    Command line arguments: /opt/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --target=/root/psa --select-release-id=PLESK_10_1_1 --notify-email=xxxxxx@xxxxxx.co.uk --install-component=base --install-component=sitebuilder --install-component=backup --install-component=pmm --install-component=java --install-component=psa-firewall --install-component=psa-vpn --install-component=psa-fileserver --install-component=watchdog --install-component=cs-gs --install-component=atis

    Try to find rcfile...
    Autoinstaller rcfile not found.
    Opsys detected as: os_vendor=Debian os_name=Linux version=5.0.3 arch=x86_64 environment=~empty
    Final opsys (with overriding) is: os_vendor=Debian os_name=Linux version=5.0.3 arch=x86_64 environment=~empty
    Checking hostname is sucessfull.
    File downloading products.inf3: 100% was finished.
    File downloading plesk.inf3: 10%..21%..31%..40%..51%..62%..70%..81%..90%..100% was finished.
    File downloading ppsmbe.inf3: 18%..28%..49%..59%..70%..90%..100% was finished.
    File downloading sitebuilder.inf3: 22%..35%..74%..100% was finished.
    File downloading sso.inf3: 24%..37%..78%..100% was finished.
    File downloading setemplates.inf3: 19%..44%..100% was finished.
    File downloading pp-sitebuilder.inf3: 11%..35%..59%..82%..100% was finished.
    File downloading billing.inf3: 16%..25%..53%..72%..91%..100% was finished.
    File downloading mysql.inf3: 100% was finished.
    File downloading apache.inf3: 100% was finished.
    repository: Get brief packages info for all sources
    Checking for installed packages...
    DebRepository: readSystemPackagesBrief: execute dpkg-query --show '--showformat=s:${Status}\nF:${Package}_installed.deb\nN:${Package}\nV:${Version}\nA:${Architecture}\nX:\n'| awk '/^s:install ok/,/^X:/ { print $0}'| grep -v '^s:'
    File downloading PSA_10.1.1/plesk-10.1.1-deb5.0-x86_64.inf3: 10%..22%..34%..42%..53%..61%..77%..85%..92%..100% was finished.
    No removers section in this build.
    No preferrers section in this build.
    File downloading PSA_10.1.1/plesk-patches-10.1.1-deb5.0-x86_64.inf3: 11%..21%..31%..41%..50%..60%..72%..81%..90%..100% was finished.
    File downloading SITEBUILDER_5.1.0/sitebuilder-5.1.0-deball-all.inf3: 100% was finished.
    No removers section in this build.
    No preferrers section in this build.
    File downloading BILLING_10.1.0/billing-10.1.0-deball-all.inf3: 100% was finished.
    No removers section in this build.
    No preferrers section in this build.
    add line 'deb http://autoinstall.plesk.com/debian/PSA_10.1.1 lenny all' to source.list
    add line 'deb http://autoinstall.plesk.com/debian/SITEBUILDER_5.1.0 all all' to source.list
    add line 'deb http://autoinstall.plesk.com/debian/BILLING_10.1.0 all all' to source.list
    Synchronizing the Debian APT package index files...
    Hit http://security.debian.org lenny/updates Release.gpg
    Hit http://security.debian.org lenny/updates Release
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/contrib Packages/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://security.debian.org lenny/updates/contrib Packages
    Hit http://ftp.us.debian.org lenny Release.gpg
    Ign http://autoinstall.plesk.com lenny Release.gpg
    Hit http://ftp.us.debian.org lenny Release
    Ign http://ftp.us.debian.org lenny/main Packages/DiffIndex
    Ign http://autoinstall.plesk.com all Release.gpg
    Ign http://ftp.us.debian.org lenny/non-free Packages/DiffIndex
    Ign http://autoinstall.plesk.com all Release.gpg
    Hit http://ftp.us.debian.org lenny/main Packages
    Hit http://ftp.us.debian.org lenny/non-free Packages
    Ign http://autoinstall.plesk.com lenny Release
    Ign http://autoinstall.plesk.com all Release
    Ign http://autoinstall.plesk.com all Release
    Get:1 http://autoinstall.plesk.com lenny/all Packages [19.3kB]
    Ign http://autoinstall.plesk.com all/all Packages
    Ign http://autoinstall.plesk.com all/all Packages
    Get:2 http://autoinstall.plesk.com all/all Packages [695B]
    Get:3 http://autoinstall.plesk.com all/all Packages [602B]
    Fetched 20.6kB in 1s (11.0kB/s)
    Reading package lists...
    repository: Get brief packages info for all sources
    Detecting installed product components.
    Component plesk/base: mode upgrade, installed=0, available=0
    Checking if key update required for component plesk/base
    Config allows upgrade from version 10.0 without key update
    Currently installed component version is 9.3.0-debian5.0.build93091230.10
    Keyupgrade need for plesk/base
    Component plesk/psa-autoinstaller: mode up2date, installed=0, available=0
    Component plesk/postgresql: mode up2date, installed=0, available=0
    Component plesk/pmm: mode upgrade, installed=0, available=0
    Component plesk/health-monitor: mode install, installed=0, available=0
    Component plesk/pba: mode install, installed=0, available=0
    Component plesk/sitebuilder: mode install, installed=0, available=0
    Component plesk/billing: mode upgrade, installed=0, available=0
    Component plesk/mod-bw: mode upgrade, installed=0, available=0
    Component plesk/asp: mode up2date, installed=0, available=0
    Component plesk/java: mode upgrade, installed=0, available=0
    Component plesk/mod_python: mode up2date, installed=0, available=0
    Component plesk/ruby: mode upgrade, installed=0, available=0
    Component plesk/cf-support: mode upgrade, installed=0, available=0
    Component plesk/miva: mode upgrade, installed=0, available=0
    Component plesk/php5: mode upgrade, installed=0, available=0
    Component plesk/qmail: mode upgrade, installed=0, available=0
    Component plesk/postfix: mode install, installed=0, available=0
    Component plesk/psa-firewall: mode upgrade, installed=0, available=0
    Component plesk/psa-vpn: mode upgrade, installed=0, available=0
    Component plesk/psa-fileserver: mode upgrade, installed=0, available=0
    Component plesk/sshterm: mode upgrade, installed=0, available=0
    Component plesk/watchdog: mode upgrade, installed=0, available=0
    Component plesk/cs-gs: mode upgrade, installed=0, available=0
    Component plesk/mailman: mode upgrade, installed=0, available=0
    Component plesk/kav: mode upgrade, installed=0, available=0
    Component plesk/drweb: mode upgrade, installed=0, available=0
    Component plesk/spamassassin: mode install, installed=0, available=0
    Component plesk/backup: mode upgrade, installed=0, available=0
    Component plesk/atis: mode upgrade, installed=0, available=0
    Component plesk/horde: mode upgrade, installed=0, available=0
    Component plesk/atmail: mode upgrade, installed=0, available=0
    Gathering information about installed license key...
    File downloading PSA_10.1.1/plesk_getkeyinfo.sh: 31%..71%..100% was finished.
    autoinstaller: Error in execution of /root/psa/PSA_10.1.1/plesk_getkeyinfo.sh

    Failed to check whether a new license key is available.
    Synchronizing the Debian APT package index files...
    Error: Failed to check whether a new license key is available.
    Not all packages were installed.
    Please, contact product technical support.


    ---
    Parallels Products Installer.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,557
    Likes Received:
    1,242
    Location:
    Novosibirsk, Russia
    Try to use --ignore-key-errors option for autoinstaller and update license after successful upgrade.
     
Loading...